| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iNovaHalo Member List

This is the complete list of members for iNovaHalo, including all inherited members.

AddRefOwner(void **ref_owner)=0 | iBase | `[pure virtual]`
DecRef()=0 | iBase | `[pure virtual]`
GetRandomSeed()=0 | iNovaHalo | `[pure virtual]`
GetRefCount()=0 | iBase | `[pure virtual]`
GetRoundnessFactor()=0 | iNovaHalo | `[pure virtual]`
GetSpokeCount()=0 | iNovaHalo | `[pure virtual]`
IncRef()=0 | iBase | `[pure virtual]`
QueryInterface(scfInterfaceID iInterfaceID, int iVersion)=0 | iBase | `[pure virtual]`
RemoveRefOwner(void **ref_owner)=0 | iBase | `[pure virtual]`
SetRandomSeed(int s)=0 | iNovaHalo | `[pure virtual]`
SetRoundnessFactor(float r)=0 | iNovaHalo | `[pure virtual]`
SetSpokeCount(int s)=0 | iNovaHalo | `[pure virtual]`
~iBase() | iBase | `[inline, protected, virtual]`